<div class="cell small-3 text-center"
     style="min-height: 100vh; min-width: 25vw; font-family: Arial; background-color: #f1e37b; font-size: x-large">
  <div  *ngIf="calendarEventsService.upcomingEvents.length == 0">
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <div style="font-size: xx-large; font-weight: bold">No events for the week.</div>
  </div>
  <div *ngIf="calendarEventsService.upcomingEvents.length > 0">
    <div class="marquee" *ngFor="let day of calendarEventsService.upcomingEvents">
      <div style="text-decoration: underline; font-size: xx-large; font-weight: bold">{{day.date | date:'fullDate'}}</div>
      <div *ngFor="let event of day.events">
        <div *ngIf="event.summary.indexOf('PAL') !== -1" style="background-color: #a47700">
          <div style="font-weight: bold; margin-top: 8px" *ngIf="event.summary">{{event.summary}}</div>
          <div style="margin-top: -8px" [innerHTML]=event.description *ngIf="event.description">{{event.description}}</div>
          <div style="margin-top: -8px" *ngIf="event.start || event.end">{{event.start.dateTime | date:'shortTime'}}
            to {{event?.end.dateTime | date:'shortTime'}}</div>
          <div style="margin-top: -8px" *ngIf="event.location">{{event.location}}</div>
        </div>
        <div *ngIf="event.description && event.description.indexOf('Mass') !== -1"
             style="color: white; background-color: #00338e">
          <div style="font-weight: bold; margin-top: 8px" *ngIf="event.summary">{{event.summary}}</div>
          <div style="margin-top: -8px" [innerHTML]=event.description *ngIf="event.description">{{event.description}}</div>
          <div style="margin-top: -8px" *ngIf="event.start || event.end">{{event.start.dateTime | date:'shortTime'}}
            to {{event?.end.dateTime | date:'shortTime'}}</div>
          <div style="margin-top: -8px" *ngIf="event.location">{{event.location}}</div>
        </div>
        <div
          *ngIf="event.summary.indexOf('PAL') === -1 && !(event.description && event.description.indexOf('Mass') !== -1)">
          <div style="font-weight: bold; margin-top: 8px" *ngIf="event.summary">{{event.summary}}</div>
          <div style="margin-top: -8px" [innerHTML]=event.description *ngIf="event.description">{{event.description}}</div>
          <div style="margin-top: -8px" *ngIf="event.start || event.end">{{event.start.dateTime | date:'shortTime'}}
            to {{event?.end.dateTime | date:'shortTime'}}</div>
          <div style="margin-top: -8px" *ngIf="event.location">{{event.location}}</div>
        </div>
      </div>
    </div>
  </div>
</div>


